package com.safeluck.aaej.app.utils

import com.safeluck.aaej.api.extensions.partOfDate
import org.joda.time.DateTime
import java.util.Date

class ConstantUtils
{
    companion object {

        fun getWeekName(date: Date): String {
            when (DateTime(date).dayOfWeek) {
                1 -> return "周一"
                2 -> return "周二"
                3 -> return "周三"
                4 -> return "周四"
                5 -> return "周五"
                6 -> return "周六"
                7 -> return "周日"
            }

            return "未知"
        }

        fun getCostTypeName(cost_type: String?): String {
            return when (cost_type) {
                "fixedCost" -> "统一收费"
                "timingCharge" -> "计时收费"
                "disposeablePay" -> "一次性缴费"
                "payLater" -> "先付后学"
                else -> "未知"
            }
        }


        fun getSubjectName(subject: String): String {
            if ("km1" == subject) {
                return "科目一"
            }
            if ("km2" == subject) {
                return "科目二"
            }
            if ("km3" == subject) {
                return "科目三"
            }
            return if ("km4" == subject) {
                "科目四"
            } else "未知科目"
        }


        val COMMENTED = "10"
        val NOT_COMMENTED = "00"
        val ORDERED = "00"

        val ORDER_CANCELED = "10"
//    public static final String ORDER_CHECKIN="20";
//    public static final String ORDER_CHECKOUT="30";

        val ORDER_PAY_UN_COMMIT = "00"
        val ORDER_PAY_COMMIT = "10"
        val ORDER_PAY_WAIT_REFUND = "15"
        val ORDER_PAY_REFUND = "20"

        val SIGN_IN = "10"
        val SIGN_OUT = "20"
        val UNSIGN = "30"//爽约
        val SYSTEM_SIGN_OUT = "40"
    }
}